aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-number-compare
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:01 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:15 +0000
commit7fea3245778f8d67f1229cd9a223350c49fcf3ff (patch)
tree2ebef61c32671eae0920622ef9e3fe8c3c514aec /community/perl-number-compare
parentf0fbaa2e000bd48e1409230771036fd86e4c025a (diff)
downloadaports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.gz
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.bz2
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.xz
community/perl-*: moved from testing
community/perl-file-find-rule community/perl-number-compare community/perl-text-glob
Diffstat (limited to 'community/perl-number-compare')
-rw-r--r--community/perl-number-compare/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-number-compare/APKBUILD b/community/perl-number-compare/APKBUILD
new file mode 100644
index 0000000000..5da1cab633
--- /dev/null
+++ b/community/perl-number-compare/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-number-compare
+_pkgreal=Number-Compare
+pkgver=0.03
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Number-Compare/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ded4085a8fc96328742785574ca65208 Number-Compare-0.03.tar.gz"
+sha256sums="83293737e803b43112830443fb5208ec5208a2e6ea512ed54ef8e4dd2b880827 Number-Compare-0.03.tar.gz"
+sha512sums="fc7efb0177bcb84142619b7d8c0252f4548e547650ddbe9cfafaba97b8ae791c20fbffa6f8b01449b9dd217d9914f94bfeaff57cdfdc2c11e2a1456992bd9893 Number-Compare-0.03.tar.gz"